"resource disk" mounted at /mnt/resource should be /mnt

Bug #1193380 reported by Scott Moser on 2013-06-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
walinuxagent (Ubuntu)
Medium
Ben Howard
Precise
Medium
Ben Howard
Raring
Medium
Ben Howard

Bug Description

[Impact]: Cloud Images running on Windows Azure are inconsistant with regards to the mount location of the ephemeral storage. As we switch to cloud-init provioning Bug #1202202, the images need to be consistant with regards to the location of ephemeral storage.

[Regression]: This change simply mounts the ephemeral storage to /mnt from /mnt/resource.

[Test Case]: Boot on Windows Azure and validate that /mnt is the mount location of the ephemeral storage.

[Originial Report]:
via cloud-init, ubuntu cloud images mount the first 'ephemeral' disk to /mnt.
This behavior is consistent on openstack and ec2.

On azure, the "resource disk" is mounted to /mnt.

The result is someone/something who expects /mnt to be a large ephemeral disk will fill up their root disk on azure.

please mount the 'resource' filesystem to /mnt.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: walinuxagent 1.3.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.9.0-6.14-generic 3.9.6
Uname: Linux 3.9.0-6-generic x86_64
ApportVersion: 2.10.2-0ubuntu1
Architecture: amd64
Date: Fri Jun 21 13:53:25 2013
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: walinuxagent
UpgradeStatus: No upgrade log present (probably fresh install)

Scott Moser (smoser) wrote :
Scott Moser (smoser) on 2013-06-21
tags: added: azure cloud-images
removed: uec-images
Stephen A. Zarkos (stevez) wrote :

Hi Scott,

Thank you for looking at this. The mount point for the resource disk is configurable via /etc/waagent.conf (see the "ResourceDisk.MountPoint" parameter). The default is /mnt/resource, but this could be changed to another location if desired.

Thanks,
Steve

David Medberry (med) wrote :

Sounds like we should run some tests with a new walinuxagent that has resource mounted on /mnt. We'd need an image to do that testing with. I can take a look at building/testing. I probably need to coordinate with the juju folks (in case they have made any mount point assumptions.)

Ben Howard (darkmuggle) wrote :

An SRU candidate for 12.04 currently has the mountpoint changed to /mnt.

For 13.10, the default mount point will be /mnt.

Changed in walinuxagent (Ubuntu):
assignee: nobody → Ben Howard (utlemming)
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 1.3.2-0ubuntu4

---------------
walinuxagent (1.3.2-0ubuntu4) saucy; urgency=low

  * debian/patches/shadow_permissions.patch: apply the appropriate
    permissions to /etc/shadow (LP: #1188820).
  * debian/patches/verbose_logging.patch: use the appropriate log
    faculty when using verbose logging (LP: #1193404).
  * Mark bugs fixed in 1.3.2-0ubuntu3:
    debian/patches/config_for_cloud-init.patch:
    - fix for race condition between cloud-init and waagent (LP: #1195524)
    - mount resource disk on /mnt (LP: #1193380)
    - move walinuxagent init functionality to cloud-init (LP: #1037723)
 -- Ben Howard <email address hidden> Tue, 23 Jul 2013 09:43:40 -0600

Changed in walinuxagent (Ubuntu):
status: New → Fix Released
Ben Howard (darkmuggle) on 2013-08-07
description: updated

Hello Scott, or anyone else affected,

Accepted walinuxagent into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu4~12.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Scott, or anyone else affected,

Accepted walinuxagent into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu4~12.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Scott, or anyone else affected,

Accepted walinuxagent into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu4~12.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Ben Howard (darkmuggle) wrote :

Verified on new image built from -proposed that resource disk is on /mnt and that upgrades are unaffected.

tags: added: verification-done
Ben Howard (darkmuggle) wrote :

New host provisioning mounts on /mnt, while previous versions use /mnt/resource. Marking verification-done.

Stéphane Graber (stgraber) wrote :

Hello Scott, or anyone else affected,

Accepted walinuxagent into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/walinuxagent/1.3.2-0ubuntu2~13.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in walinuxagent (Ubuntu Raring):
status: New → Fix Committed
Ben Howard (darkmuggle) on 2013-10-23
Changed in walinuxagent (Ubuntu Precise):
importance: Undecided → Critical
importance: Critical → Medium
status: New → Fix Committed
Changed in walinuxagent (Ubuntu Raring):
importance: Undecided → Medium
Changed in walinuxagent (Ubuntu Precise):
assignee: nobody → Ben Howard (utlemming)
Changed in walinuxagent (Ubuntu Raring):
assignee: nobody → Ben Howard (utlemming)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 1.3.2-0ubuntu2~13.04.1

---------------
walinuxagent (1.3.2-0ubuntu2~13.04.1) raring-proposed; urgency=low

  * Backport of 1.3.2-0ubuntu5 from 13.10
    * disable ephemeral disk formating by default (LP: #1231490)
    * debian/patches/shadow_permissions.patch: apply the appropriate
      permissions to /etc/shadow (LP: #1188820).
    * debian/patches/verbose_logging.patch: use the appropriate log
      faculty when using verbose logging (LP: #1193404).
    * Mark bugs fixed in 1.3.2-0ubuntu3:
      debian/patches/config_for_cloud-init.patch:
      - fix for race condition between cloud-init and waagent (LP: #1195524)
      - mount resource disk on /mnt (LP: #1193380)
      - move walinuxagent init functionality to cloud-init (LP: #1037723)
  * Add requirement of cloud-init (LP: #1037723).
 -- Ben Howard <email address hidden> Thu, 10 Oct 2013 09:24:46 -0600

Changed in walinuxagent (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.0.5-0ubuntu2~12.04.0

---------------
walinuxagent (2.0.5-0ubuntu2~12.04.0) precise; urgency=medium

  * Backport from 14.10 development version to 12.04 (LP: #1321427).
    * Use 12.04 appropriate dependencies and standards version.
    * Dropped debian/postinst as incompatible with 12.04.
 -- Ben Howard <email address hidden> Mon, 26 May 2014 14:36:16 -0600

Changed in walinuxagent (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers